Subject: Re: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Dec 2021 20:38:23 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 5 Dec 2021 19:05:36 +0100
> Cc: Pedro Andres Aranda Gutierrez <[email-masked]>
> 
> AFAICT, the point of this patch is essentially changing the line-number
> face to inherit the fringe face and line-number-current to have the
> default foreground (to make the current line more visible).
> 
> I think this makes sense and looks good.  I checked, and this seems to
> be what VSCode is doing too, so I don't think it's a controversial
> design choice.
> 
> So I'd suggest installing the below diff, and then an adapted version of
> the proposed patch from Pedro Andres Aranda Gutierrez.  Comments?

I don't think we should change defaults of the faces because someone
prefers to have them look differently.  Faces can be easily
customized, so people who don't like the defaults can have the faces
they like very easily.